summaryrefslogtreecommitdiff
path: root/tests/split
diff options
context:
space:
mode:
Diffstat (limited to 'tests/split')
-rwxr-xr-xtests/split/line-bytes.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/split/line-bytes.sh b/tests/split/line-bytes.sh
index 6e2f13765..f2f0f8fd0 100755
--- a/tests/split/line-bytes.sh
+++ b/tests/split/line-bytes.sh
@@ -18,11 +18,12 @@
. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
print_ver_ split
-require_ulimit_v_
+vm=$(get_min_ulimit_v_ split -C 'K' /dev/null) \
+ || skip_ "this shell lacks ulimit support"
# Ensure memory is not allocated up front
-(ulimit -v 20000; split -C 'G' /dev/null) || fail=1
+(ulimit -v $vm && split -C 'G' /dev/null) || fail=1
# Ensure correct operation with various split and buffer size combinations